uuid: 9fdcb396-7204-4be2-a94b-8f47acbe0eeb
langcode: es
status: true
dependencies: {  }
id: gronze_pg_pack_node_list
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - paragraphs
  - level2
migration_group: gronze_paragraph
label: 'paragraphs_pack_node_list PG migration from Gronze D7'
source:
  plugin: d7_paragraphs_item_check_archived
  high_water_property:
    name: revision_id
    alias: p
  entity: paragraph
  bundle: paragraphs_pack_node_list
process:
  langcode:
    plugin: default_value
    default_value: es
  field_ref_node:
    plugin: sub_process
    source: pp_items_node
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_node_albergues
          - gronze_node_alojamiento
          - gronze_node_article
          - gronze_node_caminos
          - gronze_node_etapas
          - gronze_node_forum
          - gronze_node_foto
          - gronze_node_notes
          - gronze_node_page
          - gronze_node_poi
          - gronze_node_recorrido
        source: target_id
        no_stub: true
  field_pp_title: pp_title
destination:
  plugin: 'entity_reference_revisions:paragraph'
  default_bundle: paragraphs_pack_node_list
migration_dependencies:
  required:
    - gronze_node_albergues
    - gronze_node_alojamiento
    - gronze_node_article
    - gronze_node_caminos
    - gronze_node_etapas
    - gronze_node_forum
    - gronze_node_foto
    - gronze_node_notes
    - gronze_node_page
    - gronze_node_poi
    - gronze_node_recorrido
